Subject: Re: [PATCH] General CHRP/MPC5K2 platform support patch

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 26 Oct 2006 09:06:16 +1000

On Wed, 2006-10-25 at 17:01 -0600, Grant Likely wrote:
> Thanks Nicolas, I'll dig through the PIC code tonight.  I'm really not
> sure about the implications of this being a CHRP board vs. the
> Lite5200 using u-boot.  ie. Should the Lite5200 also be a CHRP
> platform?  Does u-boot provide enough capability (this is where my
> ignorance about CHRP shines through)

Bah, if you have no RTAS, don't bother being CHRP.

> > * serial stuff / IBP Freq. As this frequency is MPC52xx specific. I
> > think it would make sense to add a new func mpc52xx_getipbfreq(void).
> > The way it would be implemented may depend of the architecture. Our
> > firmware contains an 'ipb-freq' property in '/builtin/'.

BTW. I forgot to comment on the above in my previous mail... As I said,
there should be no such thing. Instead, the IPB freq should be in the
device-tree.